using System.ComponentModel.DataAnnotations;
using MileageTraker.Web.Attributes;

namespace MileageTraker.Web.ViewModels.Account
{
	public class LoginViewModel
	{
		[Required]
		[RegularExpression("[^@]*", ErrorMessage = "Enter just your username, not your email")]
		public string Username { get; set; }

		[Required]
		[DataType(DataType.Password)]
		public string Password { get; set; }

		[Display(Name = "Remember me?")]
		[NoEditLabel]
		public bool RememberMe { get; set; }
	}
}